###############################################################################
# Copyright (c) 2009, 2019 IBM Corporation and others.
# This program and the accompanying materials
# are made available under the terms of the Eclipse Public License 2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/legal/epl-2.0/
#
# SPDX-License-Identifier: EPL-2.0
#
# Contributors:
#     IBM Corporation - initial API and implementation
###############################################################################
# default layout for a source bundle. contains a manifest,
# about file, plugin.xml and plugin.properties for translation,
# as well as a zip file with source and an about.
default.source.jar = META-INF/MANIFEST\.MF, \
  about\.html, \
  .*(plugin|bundle|OSGI-INF/l10n/bundle)\.properties

# default layout for a binary bundle. contains a manifest, 
# about file, and at least one class file or JAR
default.binary.jar = META-INF/MANIFEST\.MF, \
  about\.html, \
  .*(plugin|bundle|OSGI-INF/l10n/bundle)\.properties, \
  .*\.(class|jar)$

# default layout for a source bundle. contains a manifest,
# about file, plugin.xml and plugin.properties for translation,
# as well as a zip file with source and an about. Note the
# extra directory entry at the beginning
default.source.zip = ^.*/META-INF/MANIFEST\.MF, \
  ^.*/about\.html, \
  ^.*/(plugin|bundle|OSGI-INF/l10n/bundle)\.properties

# default layout for a binary bundle. contains a manifest, 
# about file, and at least one class file or JAR. Note the
# extra directory entry at the beginning
default.binary.zip = ^.*/META-INF/MANIFEST\.MF, \
  ^.*/about\.html, \
  ^.*/(plugin|bundle|OSGI-INF/l10n/bundle)\.properties, \
  .*\.(class|jar)$

# special case of a code bundle not containing code ?
org.eclipse.wst.xsl.saxon= META-INF/MANIFEST\.MF, \
  about\.html, \
  .*(plugin|bundle|OSGI-INF/l10n/bundle)\.properties 
  
# special case with no code: branding bundle
org.eclipse.wst.xsl= META-INF/MANIFEST\.MF, \
  about\.html, \
  .*(plugin|bundle|OSGI-INF/l10n/bundle)\.properties 
  
# special case with no code: branding bundle 
org.eclipse.wst.common.fproj.sdk= META-INF/MANIFEST\.MF, \
  about\.html, \
  .*(plugin|bundle|OSGI-INF/l10n/bundle)\.properties  

# special case with no code: branding bundle   
org.eclipse.jst.common.fproj.enablement.jdt.sdk= META-INF/MANIFEST\.MF, \
  about\.html, \
  .*(plugin|bundle|OSGI-INF/l10n/bundle)\.properties  
  
# special case of a bundle with no code  
org.eclipse.jst.ws.creation.ejb.ui= META-INF/MANIFEST\.MF, \
  about\.html, \
  .*(plugin|bundle|OSGI-INF/l10n/bundle)\.properties  
     
org.junit4= META-INF/MANIFEST\.MF, \
  about\.html   
  
org.eclipse.test.performance.win32= META-INF/MANIFEST\.MF, \
  about\.html

# technically, should have about.html file ... but, not ours  
org.eclipse.test.source= META-INF/MANIFEST\.MF
  
org.eclipse.ant.optional.junit= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.test.performance.win32= META-INF/MANIFEST\.MF, \
  about\.html  
    
org.eclipse.datatools.connectivity.apache.derby.dbdefinition= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.datatools.connectivity.dbdefinition.genericJDBC= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.datatools.connectivity.doc.user.contexts= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.datatools.enablement.finfo= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.datatools.enablement.hsqldb.dbdefinition= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.datatools.enablement.ibm.db2.iseries.dbdefinition= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.datatools.enablement.ibm.db2.luw.dbdefinition= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.datatools.enablement.ibm.db2.zseries.dbdefinition= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.datatools.enablement.ibm.informix.dbdefinition= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.datatools.enablement.ingres.dbdefinition= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.datatools.enablement.msft.sqlserver.dbdefinition= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.datatools.enablement.mysql.dbdefinition= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.datatools.enablement.oracle.dbdefinition= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.datatools.enablement.postgresql.dbdefinition= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.datatools.enablement.sap.maxdb.dbdefinition= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.datatools.enablement.sqlite.dbdefinition= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.datatools.enablement.sybase.asa.dbdefinition= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.datatools.enablement.sybase.ase.dbdefinition= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.datatools.intro= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.datatools.oda.cshelp= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.datatools.sdk= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.datatools.sqltools.doc.user.contexts= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.emf.mapping.ecore.editor= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.emf.mapping.ecore= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.emf= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.xsd.ecore.converter= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.xsd.mapping.editor= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.xsd.mapping= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.equinox.launcher.gtk.linux.x86= META-INF/MANIFEST\.MF

org.eclipse.equinox.launcher.gtk.linux.x86.source= META-INF/MANIFEST\.MF

org.eclipse.equinox.launcher.gtk.linux.ppc= META-INF/MANIFEST\.MF

org.eclipse.equinox.launcher.gtk.linux.ppc.source= META-INF/MANIFEST\.MF

org.eclipse.core.runtime.compatibility.registry= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.ui.workbench.compatibility= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.core.filesystem.linux.x86= META-INF/MANIFEST\.MF, \
  about\.html
  
org.eclipse.core.filesystem.linux.ppc= META-INF/MANIFEST\.MF, \
  about\.html  

org.eclipse.core.net.linux.x86= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.core.runtime.compatibility.registry.source= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.ecf.filetransfer.source= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.ecf.identity.source= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.ecf.provider.filetransfer.httpclient.source= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.ecf.provider.filetransfer.httpclient.ssl.source= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.ecf.provider.filetransfer.source= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.ecf.provider.filetransfer.ssl.source= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.ecf.source= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.ecf.ssl.source= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.equinox.launcher.source= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.equinox.launcher= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.jdt.compiler.apt.source= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.jdt.compiler.apt= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.jdt.compiler.tool.source= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.jdt.compiler.tool= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.swt.gtk.linux.x86.source= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.swt.gtk.linux.x86= META-INF/MANIFEST\.MF, \
  about\.html
  
org.eclipse.swt.gtk.linux.ppc.source= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.swt.gtk.linux.ppc= META-INF/MANIFEST\.MF, \
  about\.html  

org.eclipse.ui.workbench.compatibility.source= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.update.core.linux= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.wst.jsdt.debug.rhino.debugger= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.wst.jsdt.debug.rhino= META-INF/MANIFEST\.MF, \
  about\.html

org.mortbay.jetty.server= META-INF/MANIFEST\.MF, \
  about\.html

org.mortbay.jetty.util= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.sdk= META-INF/MANIFEST\.MF, \
  about\.html
  
org.eclipse.core.boot= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.core.filesystem.linux.x86= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.cvs= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.jdt= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.pde= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.rcp= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.swt= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.update.core.linux= META-INF/MANIFEST\.MF, \
  about\.html

org.w3c.xqts.testsuite= META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.jst.jee.tests META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.jst.j2ee.tests META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.jst.server.core.tests META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.jst.server.tomcat.core.tests META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.jst.server.tomcat.ui.tests META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.jst.server.ui.tests META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.wst.internet.monitor.core.tests META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.wst.internet.monitor.ui.tests META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.wst.jsdt.web.core.tests META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.wst.server.core.tests META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.wst.xml.xpath2.processor.tests META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.datatools.connectivity.oda.consumer META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.datatools.connectivity.oda META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.datatools.doc.isv META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.jst.ejb.ui.tests META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.jst.jsf.common.runtime.tests META-INF/MANIFEST\.MF, \
  about\.html

org.jmock META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.wst.xml.xpath2 = META-INF/MANIFEST\.MF, \
  about\.html
  
org.eclipse.emf.ant.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.cheatsheets.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.codegen.ecore.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.codegen.ecore.ui.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.codegen.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.codegen.ui.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.common.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.common.ui.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.converter.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.databinding.edit.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.databinding.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.ecore.change.edit.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.ecore.change.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.ecore.edit.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.ecore.editor.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.ecore.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.ecore.xmi.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.edit.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.edit.ui.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.exporter.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.importer.ecore.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.importer.java.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.importer.rose.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.importer.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.mapping.ecore2ecore.editor.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.mapping.ecore2ecore.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.mapping.ecore2xml.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.mapping.ecore2xml.ui.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.mapping.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.mapping.ui.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.mapping.xsd2ecore.editor.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.mapping.xsd2ecore.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.xsd.cheatsheets.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.xsd.ecore.exporter.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.xsd.ecore.importer.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.xsd.edit.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.xsd.editor.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.xsd.source META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.emf.example.installer META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.xsd.cheatsheets META-INF/MANIFEST\.MF, \
  about\.html
org.eclipse.xsd.example.installer META-INF/MANIFEST\.MF, \
  about\.html

org.apache.lucene META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.persistence.asm META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.persistence.core META-INF/MANIFEST\.MF, \
  about\.html
  
org.eclipse.persistence.dbws.builder META-INF/MANIFEST\.MF, \
  about\.html
  
org.eclipse.persistence.dbws META-INF/MANIFEST\.MF, \
  about\.html
  
org.eclipse.persistence.oracle META-INF/MANIFEST\.MF, \
  about\.html
  
org.eclipse.persistence.antlr META-INF/MANIFEST\.MF, \
  about\.html
   
org.eclipse.persistence.jpa META-INF/MANIFEST\.MF, \
  about\\.html

javax.persistence META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.persistence.jpa.jpql META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.persistence.moxy META-INF/MANIFEST\.MF, \
  about\.html

org.eclipse.persistence.jpa.jpql.source META-INF/MANIFEST\.MF, \
  about\.html

# don't check anything for e4 bundles (several errors I'm sure they'll fix eventually)
# https://bugs.eclipse.org/bugs/show_bug.cgi?id=344003
org.eclipse.e4.core.di.extensions.source 
org.eclipse.e4.core.di.extensions 
org.eclipse.e4.core.commands.source 
org.eclipse.e4.core.contexts.debug.source 
org.eclipse.e4.core.contexts.source 
org.eclipse.e4.core.di.extensions.source 
org.eclipse.e4.core.di.source 
org.eclipse.e4.core.services.source 
org.eclipse.e4.emf.xpath.source 
org.eclipse.e4.ui.bindings.source 
org.eclipse.e4.ui.css.core.source 
org.eclipse.e4.ui.css.swt.source 
org.eclipse.e4.ui.di.source 
org.eclipse.e4.ui.model.workbench.source 
org.eclipse.e4.ui.services.source 
org.eclipse.e4.ui.widgets.source 
org.eclipse.e4.ui.workbench.addons.swt.source 
org.eclipse.e4.ui.workbench.renderers.swt.source 
org.eclipse.e4.ui.workbench.source 
org.eclipse.e4.ui.workbench.swt.source 
org.eclipse.e4.ui.workbench3.source 
